This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 115778 - problems adding new modules to kernel-smp-2.4.22-1.2166.nptl
problems adding new modules to kernel-smp-2.4.22-1.2166.nptl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-15 21:32 EST by Andrea Santilli
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: kernel-smp-2.4.22-1.2166.nptl
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 13:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrea Santilli 2004-02-15 21:32:01 EST
Description of problem:
It's impossible to add new modules to the smp kernel.
makefiles try to install the modules in
/lib/modules/2.4.22-1.2166.nptl instead of
/lib/modules/2.4.22-1.2166.nptlsmp
Neither alsa works. I tried with alsa, captive-ntfs and 3c2000

Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2166.nptl

How reproducible:
Whenever I try to install a module.

Steps to Reproduce:
configure, compile and install a module

  
Actual results:
it installs modules in the wrong directory.

Expected results:
that installs modules in the right directory

Additional info:
i tried to do make mrproper, configure it and make dep.
i also tried to change EXTRAVERSION from -1.2166.nptlcustom to
-1.2166.nptlsmp but there's nothing to do. Makefiles guess the current
kernel version by doing uname -r but when i do uname -r from bash i
get the right version. Weird!

Note You need to log in before you can comment on or make changes to this bug.